Page MenuHomePhabricator

Use link formatter that uses cache instead of wb_terms for all wikidatawiki properties
Closed, ResolvedPublic

Event Timeline

WMDE-leszek created this task.EditedAug 13 2018, 1:42 PM

Planned to happen on Tue 2018-09-04.

WMDE-leszek triaged this task as Normal priority.Aug 13 2018, 1:54 PM
WMDE-leszek removed a project: Tracking-Neverending.
WMDE-leszek set Due Date to Aug 29 2018, 5:00 PM.Aug 22 2018, 7:34 AM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptAug 22 2018, 7:34 AM
WMDE-leszek changed Due Date from Aug 29 2018, 5:00 PM to Aug 30 2018, 5:00 PM.Aug 24 2018, 11:46 AM
WMDE-leszek changed Due Date from Aug 30 2018, 5:00 PM to Sep 4 2018, 5:00 PM.Aug 24 2018, 12:34 PM
WMDE-leszek added a project: Wikidata-Campsite.
WMDE-leszek edited subscribers, added: Addshore; removed: Aleksey_WMDE.
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptSep 22 2018, 5:33 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Oct 16 2018, 1:49 PM
Addshore renamed this task from Use link formatter that uses cache instead of wb_terms for all properties to Use link formatter that uses cache instead of wb_terms for all wikidatawiki properties.Nov 12 2018, 5:43 PM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 12 2018, 5:44 PM
Addshore removed Addshore as the assignee of this task.Dec 17 2018, 2:25 PM

@WMDE-leszek afaik this isn't just config switch right?
This requires either changing the default entity id formatter or adding this new one specifically for PT:wikibase-property ?
It's a bit odd as the thing is called ItemIdHtmlLinkFormatter :/

It is not only config change indeed.

It's a bit odd as the thing is called ItemIdHtmlLinkFormatter

yeah, it might not be that obvious, especially that currently the code in this class is basically the same as in LabelsProviderEntityIdHtmlLinkFormatter.
To quote the commit message of aef2372916411750a2d2a1274958ca1400ffb261: "This (separating the link formatter for itemd IDs) is needed to be able to evolve it separately from the one for Properties."

Those formatters haven't evolved that far away just yet. I am not sure if this is going to happen. I do remember though that the existing formatter weren't perfect (e.g. link's "title" attribute showing ID, whereas there were ideas it could e.g. show description). So it does not seem necessary to have a separate formatter class for property IDs (this statement with a remark that I am not aware of detailed plans of UI changes, so might be completely wrong). It might be better to rename ItemIdHtmlLinkFormatter, or even more drastically fold it back to LabelsProviderEntityIdHtmlLinkFormatter, if they're really 100% the same, and are only is used in the very same contexts.

Code changes related to property formatting coming up!

and LabelsProviderEntityIdHtmlLinkFormatter indeed seems to be used more broadly than ItemIdHtmlLinkFormatter so it might be better to be careful with jumping to conclusions too early (I mean conclusions on merging those two classes)

Change 480547 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Renamed ItemIdHtmlLinkFormatter to ItemPropertyIdHtmlLinkFormatter

https://gerrit.wikimedia.org/r/480547

Change 480548 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Use link formatter using cache instead of wb_terms for properties

https://gerrit.wikimedia.org/r/480548

Change 480550 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[operations/mediawiki-config@master] Added setting to adjust the range of PropertyIDs using new link formatter

https://gerrit.wikimedia.org/r/480550

Change 480551 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[operations/mediawiki-config@master] Beta: use the new link formatter to format P1 on wikidata beta

https://gerrit.wikimedia.org/r/480551

I just +2ed both patches, after the train next week the config changes can also roll out.

Change 480547 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Renamed ItemIdHtmlLinkFormatter to ItemPropertyIdHtmlLinkFormatter

https://gerrit.wikimedia.org/r/480547

Change 480548 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use link formatter using cache instead of wb_terms for properties

https://gerrit.wikimedia.org/r/480548

Moving to to verify as T201831 covers the deployment of this.
Of course this can't be verified until it is deployed somewhere..

Change 484245 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Introduce wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter

https://gerrit.wikimedia.org/r/484245

Change 484247 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter 3000

https://gerrit.wikimedia.org/r/484247

Change 484248 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter fully on

https://gerrit.wikimedia.org/r/484248

Change 484245 merged by jenkins-bot:
[operations/mediawiki-config@master] Introduce wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter

https://gerrit.wikimedia.org/r/484245

Mentioned in SAL (#wikimedia-operations) [2019-01-14T17:08:42Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T201831 T201838 Introduce wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter PT 1/2 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2019-01-14T17:09:44Z] <addshore@deploy1001> Synchronized wmf-config/Wikibase.php: T201831 T201838 Introduce wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter PT 2/2 (duration: 00m 45s)

Change 484247 merged by jenkins-bot:
[operations/mediawiki-config@master] wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter 3000

https://gerrit.wikimedia.org/r/484247

Mentioned in SAL (#wikimedia-operations) [2019-01-14T17:11:45Z] <addshore@deploy1001> sync-file aborted: T201831 T201838 wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter 3000 (duration: 00m 01s)

Mentioned in SAL (#wikimedia-operations) [2019-01-14T17:13:05Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T201831 T201838 wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter 3000 (duration: 00m 46s)

Change 484248 merged by jenkins-bot:
[operations/mediawiki-config@master] wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter fully on

https://gerrit.wikimedia.org/r/484248

Mentioned in SAL (#wikimedia-operations) [2019-01-14T17:21:57Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T201831 T201838 wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter fully on (duration: 00m 46s)

Addshore closed this task as Resolved.Jan 15 2019, 9:21 AM
Addshore claimed this task.

Change 480551 abandoned by WMDE-leszek:
Beta: use the new link formatter to format P1 on wikidata beta

https://gerrit.wikimedia.org/r/480551

Change 480550 abandoned by WMDE-leszek:
Added setting to adjust the range of PropertyIDs using new link formatter

https://gerrit.wikimedia.org/r/480550